Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2363573002: Move ViewHostMsg_CreateWindow to mojom (Closed)

Created:
3 years, 1 month ago by Ken Rockot(use gerrit already)
Modified:
3 years, 1 month ago
CC:
Aaron Boodman, abarth-chromium, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, dglazkov+blink, Dirk Pranke, esprehn, jam, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move ViewHostMsg_CreateWindow to mojom Converts this message, addressing several of its dependencies in the process: - Makes content::WindowContainerType an alias for the new content::mojom::WindowContainerType. Some transitional public constants have been added to satisfy existing references to the old enum values. This will be removed in future CLs. - Adds a mojom definition for blink::mojom::WindowFeatures, corresponding to blink::WebWindowFeatures. A typemap is added between these types and is shared by both Blink and Chromium bindings configurations. - Adds a blink::mojom::Referrer struct analogous to content::Renderer. Chromium bindings typemap this new mojom struct to content::Referrer. - Adds a mojom blink::mojom::ReferrerPolicy enum with a typemap to blink::WebReferrerPolicy, shared by Chromium and Blink bindings. This can be de-duplicated in future CLs. BUG=612500 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Committed: https://crrev.com/5c478a7b04b55630c5c491d4d1d2863e965cfa32 Cr-Commit-Position: refs/heads/master@{#421674}

Patch Set 1 #

Patch Set 2 : . #

Total comments: 31

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+672 lines, -213 lines) Patch
M content/browser/frame_host/interstitial_page_impl.h View 2 chunks +5 lines, -1 line 0 comments Download
M content/browser/frame_host/interstitial_page_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_message_filter.h View 1 2 3 chunks +2 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_message_filter.cc View 1 2 3 chunks +38 lines, -37 lines 0 comments Download
M content/browser/renderer_host/render_view_host_delegate.h View 3 chunks +5 lines, -2 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.h View 3 chunks +5 lines, -2 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 1 2 2 chunks +7 lines, -6 lines 0 comments Download
M content/browser/renderer_host/render_widget_helper.h View 4 chunks +3 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_widget_helper.cc View 2 chunks +10 lines, -8 lines 0 comments Download
M content/browser/security_exploit_browsertest.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.h View 1 2 2 chunks +5 lines, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M content/common/BUILD.gn View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M content/common/page_state_serialization.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/common/render_message_filter.mojom View 1 chunk +75 lines, -0 lines 0 comments Download
M content/common/view_messages.h View 3 chunks +0 lines, -76 lines 0 comments Download
M content/public/common/BUILD.gn View 2 chunks +7 lines, -0 lines 0 comments Download
M content/public/common/OWNERS View 1 chunk +2 lines, -0 lines 0 comments Download
A content/public/common/referrer.typemap View 1 2 1 chunk +11 lines, -0 lines 0 comments Download
A content/public/common/referrer_struct_traits.h View 1 2 1 chunk +29 lines, -0 lines 0 comments Download
A content/public/common/referrer_struct_traits.cc View 1 2 1 chunk +19 lines, -0 lines 0 comments Download
A content/public/common/typemaps.gni View 1 chunk +5 lines, -0 lines 0 comments Download
M content/public/common/window_container_type.h View 1 chunk +11 lines, -13 lines 0 comments Download
M content/public/common/window_container_type.cc View 1 chunk +7 lines, -0 lines 0 comments Download
A content/public/common/window_container_type.mojom View 1 chunk +18 lines, -0 lines 0 comments Download
M content/public/test/mock_render_thread.h View 5 chunks +14 lines, -9 lines 0 comments Download
M content/public/test/mock_render_thread.cc View 5 chunks +54 lines, -12 lines 0 comments Download
M content/renderer/render_thread_impl.h View 1 chunk +4 lines, -0 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 2 chunks +19 lines, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 6 chunks +34 lines, -30 lines 0 comments Download
M content/test/test_web_contents.h View 1 chunk +1 line, -1 line 0 comments Download
M content/test/test_web_contents.cc View 2 chunks +2 lines, -1 line 0 comments Download
M mojo/public/tools/bindings/blink_bindings_configuration.gni View 1 chunk +1 line, -0 lines 0 comments Download
M mojo/public/tools/bindings/chromium_bindings_configuration.gni View 2 chunks +2 lines, -0 lines 0 comments Download
M third_party/WebKit/PRESUBMIT.py View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Tools/Scripts/webkitpy/style/checkers/cpp.py View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 2 3 4 5 2 chunks +15 lines, -0 lines 0 comments Download
A third_party/WebKit/public/platform/OWNERS View 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h View 1 chunk +73 lines, -0 lines 0 comments Download
A third_party/WebKit/public/platform/referrer.mojom View 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/WebKit/public/platform/referrer_policy.typemap View 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/public/public_typemaps.gni View 1 chunk +9 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/web/OWNERS View 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/WebKit/public/web/WindowFeaturesStructTraits.h View 1 2 3 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/public/web/WindowFeaturesStructTraits.cpp View 1 2 3 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/public/web/window_features.mojom View 1 1 chunk +33 lines, -0 lines 0 comments Download
A third_party/WebKit/public/web/window_features.typemap View 1 2 3 4 1 chunk +12 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 103 (80 generated)
Ken Rockot(use gerrit already)
3 years, 1 month ago (2016-09-27 16:30:18 UTC) #56
nasko
Adding nick@, as he has done a lot of work for mojoifying this IPC.
3 years, 1 month ago (2016-09-27 16:55:42 UTC) #58
jam
lgtm
3 years, 1 month ago (2016-09-27 19:18:41 UTC) #61
Ken Rockot(use gerrit already)
+dcheng - I notice you're in third_party/WebKit/public OWNERS. Could you please review for that and ...
3 years, 1 month ago (2016-09-27 19:29:44 UTC) #63
ncarter (slow)
https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc File content/browser/renderer_host/render_message_filter.cc (right): https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc#newcode301 content/browser/renderer_host/render_message_filter.cc:301: callback.Run(std::move(reply)); Can we now guarantee that the task posted ...
3 years, 1 month ago (2016-09-27 20:32:42 UTC) #64
Ken Rockot(use gerrit already)
Thanks for looking https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc File content/browser/renderer_host/render_message_filter.cc (right): https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc#newcode301 content/browser/renderer_host/render_message_filter.cc:301: callback.Run(std::move(reply)); On 2016/09/27 at 20:32:41, ncarter ...
3 years, 1 month ago (2016-09-27 21:05:42 UTC) #65
ncarter (slow)
lgtm https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc File content/browser/renderer_host/render_message_filter.cc (right): https://codereview.chromium.org/2363573002/diff/200001/content/browser/renderer_host/render_message_filter.cc#newcode301 content/browser/renderer_host/render_message_filter.cc:301: callback.Run(std::move(reply)); On 2016/09/27 21:05:41, Ken Rockot wrote: > ...
3 years, 1 month ago (2016-09-27 22:47:53 UTC) #66
dcheng
https://codereview.chromium.org/2363573002/diff/200001/content/public/common/referrer_struct_traits.h File content/public/common/referrer_struct_traits.h (right): https://codereview.chromium.org/2363573002/diff/200001/content/public/common/referrer_struct_traits.h#newcode25 content/public/common/referrer_struct_traits.h:25: return data.ReadUrl(&out->url) && data.ReadPolicy(&out->policy); Let's out-of-line this (it's not ...
3 years, 1 month ago (2016-09-27 23:09:43 UTC) #67
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2363573002/diff/200001/content/public/common/referrer_struct_traits.h File content/public/common/referrer_struct_traits.h (right): https://codereview.chromium.org/2363573002/diff/200001/content/public/common/referrer_struct_traits.h#newcode25 content/public/common/referrer_struct_traits.h:25: return data.ReadUrl(&out->url) && data.ReadPolicy(&out->policy); On 2016/09/27 at 23:09:42, dcheng ...
3 years, 1 month ago (2016-09-28 00:20:05 UTC) #70
dcheng
https://codereview.chromium.org/2363573002/diff/200001/third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h File third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h (right): https://codereview.chromium.org/2363573002/diff/200001/third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h#newcode16 third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h:16: struct EnumTraits<::blink::mojom::ReferrerPolicy, ::blink::WebReferrerPolicy> { On 2016/09/28 00:20:05, Ken Rockot ...
3 years, 1 month ago (2016-09-28 00:30:51 UTC) #71
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2363573002/diff/200001/third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h File third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h (right): https://codereview.chromium.org/2363573002/diff/200001/third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h#newcode16 third_party/WebKit/public/platform/ReferrerPolicyEnumTraits.h:16: struct EnumTraits<::blink::mojom::ReferrerPolicy, ::blink::WebReferrerPolicy> { On 2016/09/28 at 00:30:51, dcheng ...
3 years, 1 month ago (2016-09-28 01:15:24 UTC) #75
esprehn
Hmm, adding mojoms to the web/ layer is something new for sure, I think it's ...
3 years, 1 month ago (2016-09-28 04:14:17 UTC) #78
Ken Rockot(use gerrit already)
On Sep 27, 2016 9:14 PM, <esprehn@chromium.org> wrote: > > Hmm, adding mojoms to the ...
3 years, 1 month ago (2016-09-28 04:43:23 UTC) #79
Ken Rockot(use gerrit already)
On Sep 27, 2016 9:14 PM, <esprehn@chromium.org> wrote: > > Hmm, adding mojoms to the ...
3 years, 1 month ago (2016-09-28 04:43:25 UTC) #80
Ken Rockot(use gerrit already)
So are we OK with landing this as-is?
3 years, 1 month ago (2016-09-28 18:20:26 UTC) #89
dcheng
mojo lgtm
3 years, 1 month ago (2016-09-28 20:37:34 UTC) #93
Ken Rockot(use gerrit already)
And blink?
3 years, 1 month ago (2016-09-28 23:04:25 UTC) #94
dcheng
mojo *and* blink lgtm sorry =P
3 years, 1 month ago (2016-09-28 23:05:04 UTC) #95
Ken Rockot(use gerrit already)
Thanks :p On Sep 28, 2016 4:05 PM, <dcheng@chromium.org> wrote: > mojo *and* blink lgtm ...
3 years, 1 month ago (2016-09-28 23:06:37 UTC) #96
Ken Rockot(use gerrit already)
Thanks :p On Sep 28, 2016 4:05 PM, <dcheng@chromium.org> wrote: > mojo *and* blink lgtm ...
3 years, 1 month ago (2016-09-28 23:06:39 UTC) #97
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2363573002/280001
3 years, 1 month ago (2016-09-28 23:07:46 UTC) #99
commit-bot: I haz the power
Committed patchset #6 (id:280001)
3 years, 1 month ago (2016-09-28 23:14:39 UTC) #101
commit-bot: I haz the power
3 years, 1 month ago (2016-09-28 23:20:04 UTC) #103
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/5c478a7b04b55630c5c491d4d1d2863e965cfa32
Cr-Commit-Position: refs/heads/master@{#421674}

Powered by Google App Engine
This is Rietveld 408576698